WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Role Scoper] Got errors right after installing, but havn't seen them again (3 posts)

  1. DougJoseph
    Member
    Posted 4 years ago #

    Steps to reproduce:
    I installed the plugin on a 3.0 RC1 blog, using a Twenty Ten child theme. I activated the plugin, and then edited a page (to assign a member of type "author" to be able to edit the page). I then logged out of the Admin account, and logged in as the member with the new capability. I then clicked to go view the blog (see the main page). The first time I tried to view the blog, the main menu (a Twenty Ten theme feature) had the following error messages within the menu itself:

    Warning: preg_split() expects parameter 2 to be string, array given in ~PATH~/wp-content/plugins/role-scoper/hardway/hardway-taxonomy_rs.php on line 235

    Warning: Invalid argument supplied for foreach() in ~PATH~/wp-content/plugins/role-scoper/hardway/hardway-taxonomy_rs.php on line 237

    Afterward, I clicked through several pages, but did not see the error messages any more. I edited the page as the member with the new capability, and still saw no errors. I then logged out and browsed the site. No errors. I logged in as Admin, and browsed. No errors.

    Any ideas? At this point all seems fine, but I did see those errors right out of the shoot. ??

    http://wordpress.org/extend/plugins/role-scoper/

  2. DougJoseph
    Member
    Posted 4 years ago #

    Update:
    I logged in as the member with the new capability (who has the role of "author") and I published a new post in a category unrelated to the page he has permission to edit. I then browsed to view the new post. At that point, I saw the errors in the main menu again:

    Warning: preg_split() expects parameter 2 to be string, array given in ~PATH~/wp-content/plugins/role-scoper/hardway/hardway-taxonomy_rs.php on line 235

    Warning: Invalid argument supplied for foreach() in ~PATH~/wp-content/plugins/role-scoper/hardway/hardway-taxonomy_rs.php on line 237

    I then browsed other areas of the site and saw no errors, and even when I went back to the new post that had just shown the error there were no errors shown there.

    However, I then browsed to the category page containing the new post, and errors were shown there:

    Warning: preg_split() expects parameter 2 to be string, array given in ~PATH~/wp-content/plugins/role-scoper/hardway/hardway-taxonomy_rs.php on line 235

    Warning: Invalid argument supplied for foreach() in ~PATH~/wp-content/plugins/role-scoper/hardway/hardway-taxonomy_rs.php on line 237

    Anyone have any ideas what code I could tweak to stop these errors from appearing? Thanks.

  3. DougJoseph
    Member
    Posted 4 years ago #

    Update: The plugin's author released an update that fixed the errors that show in the menu.

Topic Closed

This topic has been closed to new replies.

About this Topic